/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

// @(#) $Id: TableBaseWM.java 2089 2007-11-28 13:56:13Z s3460 $
package at.spardat.xma.mdl.table;

import at.spardat.xma.mdl.WModel;
import at.spardat.xma.page.Page;

/**
 * Abstract base class for table widget models.
 * 
 * @author YSD, 27.04.2003 01:31:45
 */
public abstract class TableBaseWM extends WModel {

    /**
     * Constructor
     * 
     * @param id uniquely identifies the model within its page
     * @param pm the enclosing page model this widget model belongs to.
     * @param numCols number of columns this table model has
     */
    public TableBaseWM (short id, Page pm, int numCols, boolean isAtServer) {
        super (id, pm);
        columnCount_ = numCols;
        isAtServer_ = isAtServer;
        page_ = pm;
    }

    /**
     * Returns the number of columns in this table.
     */
    public int getColumnCount () {
        return columnCount_;
    }
    
    /**
     * Returns the page this widget model belongs to.
     */
    protected Page getPage () {
        return page_;
    }
    
    /**
     * Number of columns in the table
     */
    protected int                         columnCount_;
    
    /**
     * Indicates that this instance is created at the server side.
     */
    protected boolean                     isAtServer_;
    
    /**
     * The page this model belongs to
     */
    private Page                          page_;
    
}
