/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

/*
 * Created on 13.06.2003
 *
 * 
 * 
 */
package at.spardat.xma.security;

import javax.security.auth.Subject;

/**
 * This is the interface of all authorisation plugins.
 * Authorisation plugins are used to check if a given
 * user is allowed to call a given function.
 * 
 * @author s2877
 */
public interface Authorisation {
    /**
     * Check if the given user is alowed to perform the given function.
     * @param subject the subject as returned by the LoginModule
     * @param function a String identifying the desired operation 
     * @return true if the user is allowed to perform the function
     *      false otherwise
     */
    boolean isAuthorized(Subject subject, String function);
    
}
